Package org.jfree.layouting.input.style.selectors.conditions

## Class ContentCSSCondition

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.conditions.ContentCSSCondition

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSCondition`, `org.w3c.css.sac.Condition`, `org.w3c.css.sac.ContentCondition`

      public class ContentCSSCondition
      extends java.lang.Object
      implements CSSCondition, org.w3c.css.sac.ContentCondition

  Creation-Date: 24.11.2005, 20:20:54
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Condition

      `SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentCSSCondition​(java.lang.String data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `getConditionType​()` | An integer indicating the type of `Condition`.
    `java.lang.String` | `getData​()` | Returns the content.
    `boolean` | `isMatch​(java.lang.Object resolveState)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentCSSCondition

          public ContentCSSCondition​(java.lang.String data)

  - ### Method Detail

    - #### isMatch

          public boolean isMatch​(java.lang.Object resolveState)

      Specified by:
        `isMatch` in interface `CSSCondition`

    - #### getConditionType

          public short getConditionType​()

      An integer indicating the type of `Condition`.
      Specified by:
        `getConditionType` in interface `org.w3c.css.sac.Condition`

    - #### getData

          public java.lang.String getData​()

      Returns the content.
      Specified by:
        `getData` in interface `org.w3c.css.sac.ContentCondition`